LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 05-08-2004, 04:35 PM   #1
astronomer
LQ Newbie
 
Registered: Jan 2004
Posts: 8

Rep: Reputation: 0
xMule crashes very often, tried to compile -> error


here is my problem: i used xMule, installed via synaptic. after an upgrade it went crazy, and crashes, with this log:

[0] xmule(_ZN9CxmuleApp16OnFatalExceptionEv+0x46) [0x8219184]
[1] /usr/lib/libwx_gtk-2.4.so.0(wxFatalSignalHandler+0x2d) [0x4066496d]
[2] /lib/libpthread.so.0 [0x401a5825]
[3] /lib/libc.so.6 [0x408a0658]
[4] xmule(_ZN13CUpDownClient12TryToConnectEb+0x60) [0x80c376e]
[5] xmule(_ZN13CServerSocket13ProcessPacketEPcjh+0x1253) [0x81b621f]
[6] xmule(_ZN13CServerSocket14PacketReceivedEP6Packet+0xb8) [0x81b6630]
[7] xmule(_ZN9CEMSocket9OnReceiveEi+0x3ea) [0x80ee34e]
[8] xmule(_ZN13CServerSocket7OnInputEi+0x53) [0x81b4fc9]
[9] xmule(_ZN9CxmuleDlg13socketHandlerER13wxSocketEvent+0x289) [0x821c979]
[10] /usr/lib/libwx_gtk-2.4.so.0(_ZN12wxEvtHandler16SearchEventTableER12wxEventT ableR7wxEvent+0xb7) [0x4057a667]
[11] /usr/lib/libwx_gtk-2.4.so.0(_ZN12wxEvtHandler12ProcessEventER7wxEvent+0x83) [0x4057a483]
[12] /usr/lib/libwx_gtk-2.4.so.0(_ZN12wxEvtHandler20ProcessPendingEventsEv+0x56) [0x4057a3c6]
[13] /usr/lib/libwx_gtk-2.4.so.0(_ZN9wxAppBase20ProcessPendingEventsEv+0x61) [0x 4053abc1]
[14] /usr/lib/libwx_gtk-2.4.so.0 [0x404d8f84]
[15] /usr/lib/libglib-1.2.so.0 [0x40189fa0]
[16] /usr/lib/libglib-1.2.so.0 [0x4018903d]
[17] /usr/lib/libglib-1.2.so.0 [0x401894f4]
[18] /usr/lib/libglib-1.2.so.0(g_main_run+0x34) [0x40189724]
[19] /usr/lib/libgtk-1.2.so.0(gtk_main+0xb7) [0x400acc3f]
[20] /usr/lib/libwx_gtk-2.4.so.0(_ZN5wxApp8MainLoopEv+0x19) [0x404d9a79]
[21] /usr/lib/libwx_gtk-2.4.so.0(_ZN9wxAppBase5OnRunEv+0x17) [0x4053aa47]
[22] /usr/lib/libwx_gtk-2.4.so.0(_Z7wxEntryiPPc+0x25b) [0x404da1db]
[23] xmule(main+0x22) [0x821609a]
[24] /lib/libc.so.6(__libc_start_main+0xc6) [0x4088cdc6]
[25] xmule(_ZN18wxBaseArrayPtrVoidD2Ev+0x3d) [0x80b9861]
Aborted

I know, that this forum is not xmule's own, but at least you react to problems.
After this error, i decided to download and compile from source. it went well, until te end, when this occured (tried to complike 1.8.2b, 1.8.0):

Compiling wx/xrc/xmlres.cpp...
Compiling wx/xrc/xmlrsall.cpp...
Linking wx/xrc/libxrc.a...
make[2]: Leaving directory `/home/balu/linux/kitomorit/xmule-1.8.0/src/wx/xrc'
Compiling AddFriend.cpp...
In file included from Preferences.h:28,
from ListenSocket.h:27,
from updownclient.h:27,
from Friend.h:25,
from AddFriend.h:25,
from AddFriend.cpp:31:
mfc.h:46:18: glib.h: No such file or directory
make[1]: *** [AddFriend.o] Error 1
make[1]: Leaving directory `/home/balu/linux/kitomorit/xmule-1.8.0/src'
make: *** [all] Error 2

I fear, that this problem is not specially related to xMule itself, but to my system's problems.
I use debian, sarge with kernel 2.4.25 (selfcompiled roud: )

any help would be grate
astronomer
 
Old 06-09-2004, 05:52 AM   #2
Turgon
LQ Newbie
 
Registered: Apr 2004
Location: Aachen, Germany
Distribution: debian
Posts: 3

Rep: Reputation: 0
Hiho!

I'm sorry: I cant help you. But at least I've got exactly the same problem...

bye
Turgon.
 
Old 06-09-2004, 07:18 AM   #3
crashmeister
Senior Member
 
Registered: Feb 2002
Distribution: t2 - trying to anyway
Posts: 2,541

Rep: Reputation: 47
Shot in the dark - check if there are any dev packages for glib and install them.

General: I tried xmule,amule and emule (with wine) and they all crash left and right.The only things that worked for me with edonkey/overnet where mldonkey and the official overnet client.
 
Old 06-09-2004, 07:54 AM   #4
Mega Man X
LQ Guru
 
Registered: Apr 2003
Location: ~
Distribution: Ubuntu, FreeBSD, Solaris, DSL
Posts: 5,339

Rep: Reputation: 65
They are all unstable. Same problem here... What fixed was actually using an older version of xmule. xmule-1.4.0.1 is the only one that worked for me without sudden crashes...

Install this and this. Then install xmule (http://www.imoqland.com/rpms/xmule-1.4.0-1.i386.rpm). If you get any dependency error, simply force the rpm to install:

Code:
rpm -i xmule-1.4.0-1.i386.rpm --nodeps
Hopefully, it will work

EDIT: Here was I having the same problem once:
http://www.linuxquestions.org/questi...ighlight=xmule
posting it here for reference

Last edited by Mega Man X; 06-09-2004 at 07:56 AM.
 
Old 07-13-2004, 05:18 PM   #5
digime
LQ Newbie
 
Registered: Mar 2004
Distribution: SUSE9.1/Mandrake10
Posts: 1

Rep: Reputation: 0
pkgconfig

For anyone having the same problem compiling, or if the original poster is still having the same problem:

Look *closely* at the ./configure output. I was having the exact same problem and found that ./configure seemed to work just fine, but when I looked at the output "pkg-config" was missing, meaning it won't find the necessary libraries during the compile even if you have them. I installed pkgconfig, reconfigured, recompiled, done.

*update*
My advice will get it to compile correctly. Actually running it without sudden crashes is another topic. Sigh, still have no reliable P2P app. mldonkey locks up KDE solid and disables eth0 for some reason. What does a guy have to do to get file sharing?

Last edited by digime; 07-14-2004 at 12:21 PM.
 
Old 07-15-2004, 04:28 AM   #6
astronomer
LQ Newbie
 
Registered: Jan 2004
Posts: 8

Original Poster
Rep: Reputation: 0
well, actually i had that pkgconfig installed. but the actual version i could get with apt-get worked for a week, without any crash. i am now compiling the very fresh one, the 1.8.4, but it ends again with the same failure:
mfc.h:52:18: glib.h: No such file or directory
make[1]: *** [AddFriend.o] Error 1
make[1]: Leaving directory `/home/balu/linux/kitomorit/xmule-1.8.4/src'
make: *** [all] Error 2

as far as i know, there is no depedency problem with my glib.
maybe it is because the sarge is unstable?

well, such is the c'est la vie.

thank all of you for help!

ast

digime: yes, i absolutely agree dcgui-qt sucks as well. the windos version of dc is much more user friendly. I do not understand, why one cannot simply make an interpretation of it for linux. however i know i could't make it, but there are much more professionals than i ever be.

Last edited by astronomer; 07-15-2004 at 04:31 AM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
xmule-bin: error while loading shared libraries: libpangocairo-1.0.so.0: cannot... exit3219 Debian 2 11-09-2005 08:33 AM
Xmule error: Impossible to set permissions julian_s Linux - Software 1 05-24-2004 06:20 PM
xmule crashes on startup bshelton Linux - Software 3 11-16-2003 01:56 AM
xMule crashes ... :[ ilhbutshm Linux - Software 0 11-07-2003 11:38 AM
error running xmule Rav3n Slackware 1 09-03-2003 07:52 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 10:59 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration